module.exports = ctx => ({
  map: !ctx.env || ctx.env !== 'production' ? { inline: false } : false,
  plugins: [
    require('postcss-import'),
    require("postcss-calc"),
    require('tailwindcss'),
    require('postcss-custom-media')({
      preserve: false,
    }),
    require('postcss-nested'),
    require('postcss-custom-properties')({
      preserve: false,
    }),
    require('autoprefixer')({
      cascade: false
    }),
    require('postcss-pxtorem')({
      mediaQuery: true,
    }),
    require('postcss-discard-comments'),
    require('postcss-color-function'),
    require('postcss-header')({
      header: `/*\n * DO NOT EDIT THIS FILE.\n * See theme README.md for more information\n * @preserve\n */\n`,
    }),
  ]
});
